## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libXISF
Version:        0.2.12
Release:        %autorelease
Summary:        Library to load and write XISF format
License:        GPL-3.0-or-later
URL:            https://gitea.nouspiro.space/nou/libXISF
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  cmake >= 3.14
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(zlib)


%description
LibXISF is C++ library to load and save images in XISF format that
is native format PixInsight astronomical image processing program.
It implements XISF 1.0 specifications.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n libxisf

# remove bundled libraries
for d in "lz4" "pugixml" "zlib"
do
  rm -rf $d
done


%build
%cmake \
    -DBUILD_SHARED_LIBS=ON \
    -DUSE_BUNDLED_LIBS=OFF
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE
%doc README.md
%{_libdir}/%{name}.so.0
%{_libdir}/%{name}.so.%{version}


%files devel
%{_includedir}/%{name}_global.h
%{_includedir}/libxisf.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libxisf.pc


%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 03 2024 Mattia Verga <mattia.verga@proton.me> - 0.2.12-1
- Update to 0.2.12

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 18 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.9-1
- Update to 0.2.9 (fedora#2231736)
- Enable zstd support

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.8-1
- Update to 0.2.8

* Fri Jun 02 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.6-1
- Update to 0.2.6 (fedora#2211840)

* Mon May 29 2023 Adam Williamson <awilliam@redhat.com> - 0.2.5-2
- Backport patches from upstream to fix pkgconfig file

* Sun May 28 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.5-1
- Update to 0.2.5 (fedora#2208667)
- Added pkgconfig file

* Sat Apr 15 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.3-1
- Update to 0.2.3 (fedora#2186985)

* Mon Mar 20 2023 Mattia Verga <mattia.verga@proton.me> - 0.2.1-1
- Initial import (fedora#2177855)
## END: Generated by rpmautospec
